org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIManagedProviderTest.MyFilter

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.cditests.CDIManagedProviderTest.MyFilter

All Implemented Interfaces:
  javax.ws.rs.client.ClientRequestFilter

Enclosing class:
  CDIManagedProviderTest

    @ApplicationScoped
    public static class CDIManagedProviderTest.MyFilter
    extends Object
    implements javax.ws.rs.client.ClientRequestFilter

### Constructor Summary

Constructors
Constructor and Description
`MyFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(javax.ws.rs.client.ClientRequestContext requestContext)`
`void` `postConstruct()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyFilter

    public MyFilter()

### Method Detail

#### postConstruct

    @PostConstruct
    public void postConstruct()

#### filter

    public void filter(javax.ws.rs.client.ClientRequestContext requestContext)
                throws IOException

Specified by:
  `filter` in interface `javax.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`